- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# uInt8Channel Class Reference

This reference page is linked to from the following overview topics: Images.

Search for all occurrences

## Detailed Description

The data type for a 8 bit image channel.

0-255 maps to 0.0 to 1.0 in floating point or 0-65535 in 16 bit fixed point.

Definition at line 99 of file image.h.

`#include <image.h>`

List of all members.

## Public Member Functions
| uInt8Channel (const float32Channel &d)
| uInt8Channel (const float16Channel &d)
| uInt8Channel (const uInt16Channel &d)
| uInt8Channel (const uInt8Channel &d)
| uInt8Channel (uInt8 d)
| uInt8Channel ()
uInt8Channel & | operator= (const float32Channel &d)
uInt8Channel & | operator= (const float16Channel &d)
uInt8Channel & | operator= (const uInt16Channel &d)
uInt8Channel & | operator= (const uInt8Channel &d)
uInt8Channel & | operator= (uInt8 d)
| operator float () const
| operator half_ () const
| operator uInt16 () const
| operator uInt8 () const

## Constructor & Destructor Documentation

uInt8Channel | ( | const float32Channel & | d | ) | `[inline]`

Definition at line 300 of file image.h.

    { m_data = uInt8(d); }

uInt8Channel | ( | const float16Channel & | d | ) | `[inline]`

Definition at line 301 of file image.h.

    { m_data = uInt8(d); }

uInt8Channel | ( | const uInt16Channel & | d | ) | `[inline]`

Definition at line 302 of file image.h.

    { m_data = uInt8(d); }

uInt8Channel | ( | const uInt8Channel & | d | ) | `[inline]`

Definition at line 107 of file image.h.

    { m_data = uInt8(d); }

uInt8Channel | ( | uInt8 | d | ) | `[inline]`

Definition at line 109 of file image.h.

    { m_data = (d); }

uInt8Channel | ( |  | ) | `[inline]`

Definition at line 110 of file image.h.

    {}

## Member Function Documentation

uInt8Channel & operator= | ( | const float32Channel & | d | ) | `[inline]`

Definition at line 305 of file image.h.

    {
        m_data = uInt8(d);
        return *this;
    }

uInt8Channel & operator= | ( | const float16Channel & | d | ) | `[inline]`

Definition at line 312 of file image.h.

    {
        m_data = uInt8(d);
        return *this;
    }

uInt8Channel & operator= | ( | const uInt16Channel & | d | ) | `[inline]`

Definition at line 319 of file image.h.

    {
        m_data = uInt8(d);
        return *this;
    }

uInt8Channel& operator= | ( | const uInt8Channel & | d | ) | `[inline]`

Definition at line 115 of file image.h.

        {
            m_data = uInt8(d);
            return *this;
        }

uInt8Channel& operator= | ( | uInt8 | d | ) | `[inline]`

Definition at line 121 of file image.h.

        {
            m_data = uInt8(d);
            return *this;
        }

operator float | ( |  | ) | const `[inline]`

Definition at line 127 of file image.h.

    { return m_data * (1.0f/255.0f); }

operator half_ | ( |  | ) | const `[inline]`

Definition at line 128 of file image.h.

    { return half_(m_data * (1.0f/255.0f)); }

operator uInt16 | ( |  | ) | const `[inline]`

Definition at line 129 of file image.h.

    { return (m_data << 8) + m_data; }

operator uInt8 | ( |  | ) | const `[inline]`

Definition at line 130 of file image.h.

    { return m_data; }

The documentation for this class was generated from the following file:

- Mudbox/image.h

uInt8Channel uInt8Channel uInt8Channel uInt8Channel uInt8Channel uInt8Channel uInt8Channel uInt8Channel uInt8Channel uInt8Channel
uInt8Channel uInt8Channel uInt8Channel uInt8Channel uInt8Channel uInt8Channel uInt8Channel uInt8Channel uInt8Channel uInt8Channel